For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate raw time tracking shifts
      • POSTCreate shifts
      • DELDelete a Shift by External ID
      • POSTDelete multiple shifts by External ID
      • GETGet shift details
      • GETList of shifts
      • PATCHUpdate a shift
LogoLogo
SupportDeel Home
EndpointsTime Tracking Shifts

Update a shift

PATCH
/time_tracking/shifts/:external_id
PATCH
/rest/v2/time_tracking/shifts/:external_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/time_tracking/shifts/12345678g \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "summary": {
4 "time_unit": "HOUR",
5 "time_amount": 8,
6 "total_break_hours": 2,
7 "payable_break_hours": 2,
8 "total_payable_hours": 2,
9 "shift_duration_hours": 2,
10 "shift_rate_external_id": "abcd"
11 },
12 "created_at": "2024-10-08T12:08:29.695Z",
13 "updated_at": "2024-10-08T12:08:29.695Z",
14 "contract_id": "abcd",
15 "description": "sample description",
16 "external_id": "abcd",
17 "date_of_work": "2024-10-11",
18 "payroll_cycle_ref": {
19 "date": "2023-10-31T00:00:00.000Z"
20 }
21 }
22}

Applies a partial update to an existing shift, modifying only the fields supplied in the request body. Fields omitted from the request are left unchanged. Token scopes: time-tracking:write

Was this page helpful?
Previous

Create a timesheet entry

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
Unique identifier of the shift to be updated.

Request

This endpoint expects an object.
dataobjectRequired
Shift update request data.

Response

Shift updated successfully.
dataobject
Updated shift record details.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication